package cn.iocoder.yudao.module.delivery.controller.admin;


import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
import cn.iocoder.yudao.module.delivery.entity.CustomerAnalysisReq;
import cn.iocoder.yudao.module.delivery.entity.CustomerAnalysisResp;
import cn.iocoder.yudao.module.delivery.entity.SalesAnalysisReq;
import cn.iocoder.yudao.module.delivery.entity.SalesAnalysisResp;
import cn.iocoder.yudao.module.delivery.service.SalesAnalysisService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;
import java.io.IOException;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.EXPORT;

/**
 * (SalesAnalysis)销售分析报表
 *
 * @author lanbm add
 * @since 2024-03-31
 */
@RestController
@RequestMapping("/Report/SalesAnalysis")
public class SalesAnalysisControl {

    @Autowired
    private SalesAnalysisService salesAnalysisService;

    /*
    客户分析列表 lanbm 2024-04-02 add
    */
    @PostMapping("/getListPage")
    public CommonResult<PageResult<SalesAnalysisResp>> getListPage(@RequestBody SalesAnalysisReq Req) {
        PageResult<SalesAnalysisResp> pageResult=
                salesAnalysisService.getListPage(Req);
        return success(pageResult);
    }



    @GetMapping("/exportExcel")
    @ApiOperation("导出销售分析数据")
    @OperateLog(type = EXPORT)
    public void export(HttpServletResponse response, @Valid CustomerAnalysisReq Req) throws IOException {
        // List<DictDataDO> list = dictDataService.getDictDatas(reqVO);
        //List<DictDataExcelVO> data = DictDataConvert.INSTANCE.convertList02(list);
        // 输出
        //ExcelUtils.write(response, "客户分析数据.xls", "客户分析数据列表", DictDataExcelVO.class, data);
    }
}
