package cn.iocoder.yudao.module.delivery.service.Impl;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.i18n.core.I18nMessage;
import cn.iocoder.yudao.framework.mybatis.core.util.MyBatisUtils;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.delivery.entity.CustomerAnalysisReq;
import cn.iocoder.yudao.module.delivery.entity.CustomerAnalysisResp;
import cn.iocoder.yudao.module.delivery.entity.CustomerReportReq;
import cn.iocoder.yudao.module.delivery.mapper.CustomerAnalysisMapper;
import cn.iocoder.yudao.module.delivery.service.CustomerAnalysisService;
import cn.iocoder.yudao.module.delivery.service.CustomerReportService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/*
 lanbm 2024-04-01 add
 客户分析列表
 */
@Service("CustomerAnalysisService")
public class CustomerAnalysisImpl implements CustomerAnalysisService {

    @Autowired
    private CustomerAnalysisMapper customerAnalysisMapper;


    public PageResult<CustomerAnalysisResp> getListPage(CustomerAnalysisReq req) {

        IPage<CustomerAnalysisResp> mpPage = MyBatisUtils.buildPage(req);
        long total = customerAnalysisMapper.GetCount(req);
        System.out.println("符合条件的客户总数："+String.valueOf(total));
        int start = (req.getPageNo() - 1) * req.getPageSize();
        int size = req.getPageSize();

        req.setSize(size);
        req.setStart(start);

        List<CustomerAnalysisResp> list = customerAnalysisMapper.getListPage(req);

        return new PageResult<>(list, total, mpPage.getSize(),
                req.getPageNo(), (total + mpPage.getSize() - 1) / mpPage.getSize());


    }
}
